## org.eclipse.xsd
Interface XSDFactory

All Superinterfaces:
  EFactory, EModelElement, EObject, Notifier

All Known Implementing Classes:
  XSDFactoryImpl

    public interface XSDFactory

extends EFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  `XSDPackage`

Field Summary
`static XSDFactory` `eINSTANCE` The singleton instance of the factory.

Method Summary
`XSDAnnotation` `createXSDAnnotation()` Returns a new object of class 'Annotation'
`XSDAttributeDeclaration` `createXSDAttributeDeclaration()` Returns a new object of class 'Attribute Declaration'
`XSDAttributeGroupDefinition` `createXSDAttributeGroupDefinition()` Returns a new object of class 'Attribute Group Definition'
`XSDAttributeUse` `createXSDAttributeUse()` Returns a new object of class 'Attribute Use'
`XSDBoundedFacet` `createXSDBoundedFacet()` Returns a new object of class 'Bounded Facet'
`XSDCardinalityFacet` `createXSDCardinalityFacet()` Returns a new object of class 'Cardinality Facet'
`XSDComplexTypeDefinition` `createXSDComplexTypeDefinition()` Returns a new object of class 'Complex Type Definition'
`XSDDiagnostic` `createXSDDiagnostic()` Returns a new object of class 'Diagnostic'
`XSDElementDeclaration` `createXSDElementDeclaration()` Returns a new object of class 'Element Declaration'
`XSDEnumerationFacet` `createXSDEnumerationFacet()` Returns a new object of class 'Enumeration Facet'
`XSDFractionDigitsFacet` `createXSDFractionDigitsFacet()` Returns a new object of class 'Fraction Digits Facet'
`XSDIdentityConstraintDefinition` `createXSDIdentityConstraintDefinition()` Returns a new object of class 'Identity Constraint Definition'
`XSDImport` `createXSDImport()` Returns a new object of class 'Import'
`XSDInclude` `createXSDInclude()` Returns a new object of class 'Include'
`XSDLengthFacet` `createXSDLengthFacet()` Returns a new object of class 'Length Facet'
`XSDMaxExclusiveFacet` `createXSDMaxExclusiveFacet()` Returns a new object of class 'Max Exclusive Facet'
`XSDMaxInclusiveFacet` `createXSDMaxInclusiveFacet()` Returns a new object of class 'Max Inclusive Facet'
`XSDMaxLengthFacet` `createXSDMaxLengthFacet()` Returns a new object of class 'Max Length Facet'
`XSDMinExclusiveFacet` `createXSDMinExclusiveFacet()` Returns a new object of class 'Min Exclusive Facet'
`XSDMinInclusiveFacet` `createXSDMinInclusiveFacet()` Returns a new object of class 'Min Inclusive Facet'
`XSDMinLengthFacet` `createXSDMinLengthFacet()` Returns a new object of class 'Min Length Facet'
`XSDModelGroup` `createXSDModelGroup()` Returns a new object of class 'Model Group'
`XSDModelGroupDefinition` `createXSDModelGroupDefinition()` Returns a new object of class 'Model Group Definition'
`XSDNotationDeclaration` `createXSDNotationDeclaration()` Returns a new object of class 'Notation Declaration'
`XSDNumericFacet` `createXSDNumericFacet()` Returns a new object of class 'Numeric Facet'
`XSDOrderedFacet` `createXSDOrderedFacet()` Returns a new object of class 'Ordered Facet'
`XSDParticle` `createXSDParticle()` Returns a new object of class 'Particle'
`XSDPatternFacet` `createXSDPatternFacet()` Returns a new object of class 'Pattern Facet'
`XSDRedefine` `createXSDRedefine()` Returns a new object of class 'Redefine'
`XSDSchema` `createXSDSchema()` Returns a new object of class 'Schema'
`XSDSimpleTypeDefinition` `createXSDSimpleTypeDefinition()` Returns a new object of class 'Simple Type Definition'
`XSDTotalDigitsFacet` `createXSDTotalDigitsFacet()` Returns a new object of class 'Total Digits Facet'
`XSDWhiteSpaceFacet` `createXSDWhiteSpaceFacet()` Returns a new object of class 'White Space Facet'
`XSDWildcard` `createXSDWildcard()` Returns a new object of class 'Wildcard'
`XSDXPathDefinition` `createXSDXPathDefinition()` Returns a new object of class 'XPath Definition'
`XSDPackage` `getXSDPackage()` Returns the package supported by this factory

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`convertToString, create, createFromString, getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eINSTANCE

    static final XSDFactory eINSTANCE

  The singleton instance of the factory.

Method Detail

### createXSDSchema

    XSDSchema createXSDSchema()

  Returns a new object of class 'Schema'.

  Returns:
    a new object of class 'Schema'.

### createXSDSimpleTypeDefinition

    XSDSimpleTypeDefinition createXSDSimpleTypeDefinition()

  Returns a new object of class 'Simple Type Definition'.

  Returns:
    a new object of class 'Simple Type Definition'.

### createXSDMaxInclusiveFacet

    XSDMaxInclusiveFacet createXSDMaxInclusiveFacet()

  Returns a new object of class 'Max Inclusive Facet'.

  Returns:
    a new object of class 'Max Inclusive Facet'.

### createXSDMinInclusiveFacet

    XSDMinInclusiveFacet createXSDMinInclusiveFacet()

  Returns a new object of class 'Min Inclusive Facet'.

  Returns:
    a new object of class 'Min Inclusive Facet'.

### createXSDMinExclusiveFacet

    XSDMinExclusiveFacet createXSDMinExclusiveFacet()

  Returns a new object of class 'Min Exclusive Facet'.

  Returns:
    a new object of class 'Min Exclusive Facet'.

### createXSDMaxExclusiveFacet

    XSDMaxExclusiveFacet createXSDMaxExclusiveFacet()

  Returns a new object of class 'Max Exclusive Facet'.

  Returns:
    a new object of class 'Max Exclusive Facet'.

### createXSDLengthFacet

    XSDLengthFacet createXSDLengthFacet()

  Returns a new object of class 'Length Facet'.

  Returns:
    a new object of class 'Length Facet'.

### createXSDWhiteSpaceFacet

    XSDWhiteSpaceFacet createXSDWhiteSpaceFacet()

  Returns a new object of class 'White Space Facet'.

  Returns:
    a new object of class 'White Space Facet'.

### createXSDEnumerationFacet

    XSDEnumerationFacet createXSDEnumerationFacet()

  Returns a new object of class 'Enumeration Facet'.

  Returns:
    a new object of class 'Enumeration Facet'.

### createXSDPatternFacet

    XSDPatternFacet createXSDPatternFacet()

  Returns a new object of class 'Pattern Facet'.

  Returns:
    a new object of class 'Pattern Facet'.

### createXSDCardinalityFacet

    XSDCardinalityFacet createXSDCardinalityFacet()

  Returns a new object of class 'Cardinality Facet'.

  Returns:
    a new object of class 'Cardinality Facet'.

### createXSDNumericFacet

    XSDNumericFacet createXSDNumericFacet()

  Returns a new object of class 'Numeric Facet'.

  Returns:
    a new object of class 'Numeric Facet'.

### createXSDMaxLengthFacet

    XSDMaxLengthFacet createXSDMaxLengthFacet()

  Returns a new object of class 'Max Length Facet'.

  Returns:
    a new object of class 'Max Length Facet'.

### createXSDMinLengthFacet

    XSDMinLengthFacet createXSDMinLengthFacet()

  Returns a new object of class 'Min Length Facet'.

  Returns:
    a new object of class 'Min Length Facet'.

### createXSDTotalDigitsFacet

    XSDTotalDigitsFacet createXSDTotalDigitsFacet()

  Returns a new object of class 'Total Digits Facet'.

  Returns:
    a new object of class 'Total Digits Facet'.

### createXSDFractionDigitsFacet

    XSDFractionDigitsFacet createXSDFractionDigitsFacet()

  Returns a new object of class 'Fraction Digits Facet'.

  Returns:
    a new object of class 'Fraction Digits Facet'.

### createXSDOrderedFacet

    XSDOrderedFacet createXSDOrderedFacet()

  Returns a new object of class 'Ordered Facet'.

  Returns:
    a new object of class 'Ordered Facet'.

### createXSDBoundedFacet

    XSDBoundedFacet createXSDBoundedFacet()

  Returns a new object of class 'Bounded Facet'.

  Returns:
    a new object of class 'Bounded Facet'.

### createXSDParticle

    XSDParticle createXSDParticle()

  Returns a new object of class 'Particle'.

  Returns:
    a new object of class 'Particle'.

### createXSDElementDeclaration

    XSDElementDeclaration createXSDElementDeclaration()

  Returns a new object of class 'Element Declaration'.

  Returns:
    a new object of class 'Element Declaration'.

### createXSDIdentityConstraintDefinition

    XSDIdentityConstraintDefinition createXSDIdentityConstraintDefinition()

  Returns a new object of class 'Identity Constraint Definition'.

  Returns:
    a new object of class 'Identity Constraint Definition'.

### createXSDXPathDefinition

    XSDXPathDefinition createXSDXPathDefinition()

  Returns a new object of class 'XPath Definition'.

  Returns:
    a new object of class 'XPath Definition'.

### createXSDAttributeDeclaration

    XSDAttributeDeclaration createXSDAttributeDeclaration()

  Returns a new object of class 'Attribute Declaration'.

  Returns:
    a new object of class 'Attribute Declaration'.

### createXSDAttributeGroupDefinition

    XSDAttributeGroupDefinition createXSDAttributeGroupDefinition()

  Returns a new object of class 'Attribute Group Definition'.

  Returns:
    a new object of class 'Attribute Group Definition'.

### createXSDAttributeUse

    XSDAttributeUse createXSDAttributeUse()

  Returns a new object of class 'Attribute Use'.

  Returns:
    a new object of class 'Attribute Use'.

### createXSDWildcard

    XSDWildcard createXSDWildcard()

  Returns a new object of class 'Wildcard'.

  Returns:
    a new object of class 'Wildcard'.

### createXSDModelGroupDefinition

    XSDModelGroupDefinition createXSDModelGroupDefinition()

  Returns a new object of class 'Model Group Definition'.

  Returns:
    a new object of class 'Model Group Definition'.

### createXSDModelGroup

    XSDModelGroup createXSDModelGroup()

  Returns a new object of class 'Model Group'.

  Returns:
    a new object of class 'Model Group'.

### createXSDNotationDeclaration

    XSDNotationDeclaration createXSDNotationDeclaration()

  Returns a new object of class 'Notation Declaration'.

  Returns:
    a new object of class 'Notation Declaration'.

### createXSDDiagnostic

    XSDDiagnostic createXSDDiagnostic()

  Returns a new object of class 'Diagnostic'.

  Returns:
    a new object of class 'Diagnostic'.

### createXSDAnnotation

    XSDAnnotation createXSDAnnotation()

  Returns a new object of class 'Annotation'.

  Returns:
    a new object of class 'Annotation'.

### createXSDComplexTypeDefinition

    XSDComplexTypeDefinition createXSDComplexTypeDefinition()

  Returns a new object of class 'Complex Type Definition'.

  Returns:
    a new object of class 'Complex Type Definition'.

### createXSDRedefine

    XSDRedefine createXSDRedefine()

  Returns a new object of class 'Redefine'.

  Returns:
    a new object of class 'Redefine'.

### createXSDInclude

    XSDInclude createXSDInclude()

  Returns a new object of class 'Include'.

  Returns:
    a new object of class 'Include'.

### createXSDImport

    XSDImport createXSDImport()

  Returns a new object of class 'Import'.

  Returns:
    a new object of class 'Import'.

### getXSDPackage

    XSDPackage getXSDPackage()

  Returns the package supported by this factory.

  Returns:
    the package supported by this factory.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.